Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.persistence
Class Persistence

    java.lang.Object
      javax.persistence.Persistence

    public class Persistence

extends Object

Bootstrap class that provides access to an EntityManagerFactory.

Field Summary
`static String` | `PERSISTENCE_PROVIDER`
`protected static Set<PersistenceProvider>` | `providers`

Constructor Summary
`Persistence()`

Method Summary
`static EntityManagerFactory` | `createEntityManagerFactory(String persistenceUnitName)` Create and return an EntityManagerFactory for the named persistence unit.
`static EntityManagerFactory` | `createEntityManagerFactory(String persistenceUnitName, Map properties)` Create and return an EntityManagerFactory for the named persistence unit using the given properties.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PERSISTENCE_PROVIDER

    public static String PERSISTENCE_PROVIDER

### providers

    protected static final Set<PersistenceProvider> providers

Constructor Detail

### Persistence

    public Persistence()

Method Detail

### createEntityManagerFactory

    public static EntityManagerFactory createEntityManagerFactory(String persistenceUnitName)

  Create and return an EntityManagerFactory for the named persistence unit.

  Parameters:
    `persistenceUnitName` - The name of the persistence unit
  Returns:
    The factory that creates EntityManagers configured according to the specified persistence unit

### createEntityManagerFactory

    public static EntityManagerFactory createEntityManagerFactory(String persistenceUnitName,
                                                                  Map properties)

  Create and return an EntityManagerFactory for the named persistence unit using the given properties.

  Parameters:
    `persistenceUnitName` - The name of the persistence unit
    `properties` - Additional properties to use when creating the factory. The values of these properties override any values that may have been configured elsewhere
  Returns:
    The factory that creates EntityManagers configured according to the specified persistence unit

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD